unit GameMode.Custom;

interface

type
  TGameModeCustom = class abstract
  private
    FDrawOverlay: Boolean;
  public
    constructor Create; virtual;
    procedure Activation; virtual;
    procedure Deactivation; virtual;
    procedure Process(const Delta: Double); virtual;
    procedure Draw; virtual;

    property DrawOverlay: Boolean read FDrawOverlay;
  end;

implementation

{ TGameModeCustom }

procedure TGameModeCustom.Activation;
begin

end;

constructor TGameModeCustom.Create;
begin
  FDrawOverlay := True;
end;

procedure TGameModeCustom.Deactivation;
begin

end;

procedure TGameModeCustom.Process(const Delta: Double);
begin

end;

procedure TGameModeCustom.Draw;
begin

end;

end.
